Subject: Re: The Thuds
From: "Steve Bamford" <[email-masked]>
To: "Thang Le" <[email-masked]>
Date: Wed, 22 Aug 2001 14:22:53 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
  ----- Original Message ----- 
  From: Thang Le 
  To: Steve Bamford 
  Sent: Saturday, August 04, 2001 12:26 PM
  Subject: The Thuds

  Hi Steve,
  I'm sending you pictures of the F-105D's.  Both of them were from the old Monogram kits in 1/48th scale.  And both were built right Out-of-the-Box.  Some minor changes were made to the earlier (Silver) version.  The nose camera, triangle radar (4) around the radome, and vertical tail were also eliminated.  The vent slots on the gun panel has to be filled in, and the vent slot on the base of the tail has to be enlarged. The little stubs at the wing tips gotta go, also.  Other than that, I left them as it, including all of the raised panel lines.  Decals for the "Hanoi Special" was from a friend of mine, Thank you Thanh.  It's from Aeromaster.  And the "Pussy Galore" was from Albatros decals.   The only disapointment on this sheet was the discoloration of the nude when applied setting solution to it.  It was a little richer in the skin color, and now it's kind of yellowish.  Not much to say about these kits, but I really enjoyed building them.  Enjoy the photos, and feel free to add them to ARC gallery if you think they are up to it.

  Thang.